Bug 51543

Summary: [Qt] Add fullscreen media control button for html video
Product: WebKit Reporter: Yi Shen <max.hong.shen>
Component: WebKit QtAssignee: Yi Shen <max.hong.shen>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, nancy.piedra
Priority: P3    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 35427, 51249, 52822    
Bug Blocks:    
Attachments:
Description Flags
first try
none
screenshot none

Description Yi Shen 2010-12-23 10:43:07 PST
Add a fullscreen button on the top right corner of the inline video element. When user clicks the fullscreen button, browser goes to fullscreen mode to playing the video.
Comment 1 Yi Shen 2011-01-26 16:37:08 PST
Created attachment 80261 [details]
first try
Comment 2 Yi Shen 2011-01-26 16:40:48 PST
Created attachment 80262 [details]
screenshot
Comment 3 Andreas Kling 2011-01-26 16:59:14 PST
Comment on attachment 80261 [details]
first try

Palatial! r=me
Comment 4 WebKit Commit Bot 2011-01-27 17:23:29 PST
Comment on attachment 80261 [details]
first try

Clearing flags on attachment: 80261

Committed r76873: <http://trac.webkit.org/changeset/76873>
Comment 5 WebKit Commit Bot 2011-01-27 17:23:33 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Ademar Reis 2011-01-28 10:58:06 PST
This bug requires the changes from Bug 52822 (Clean up the Media Controls CSS for Qt) and Bug 35427 (trivial fix for missing default control) to be applied.

I also have the impression that these changes would be welcome on the 2.1.x branch as we'll have to support video/audio media on 2.1.x for some time and these changes would be welcome.

Yi: what do you think? Have you tested the changes from Bug 52822 and Bug 35427 on the 2.1.x branch? They look like low risk changes to me.
Comment 7 Yi Shen 2011-01-28 11:29:47 PST
(In reply to comment #6)
> This bug requires the changes from Bug 52822 (Clean up the Media Controls CSS for Qt) and Bug 35427 (trivial fix for missing default control) to be applied.
> 
> I also have the impression that these changes would be welcome on the 2.1.x branch as we'll have to support video/audio media on 2.1.x for some time and these changes would be welcome.
> 
> Yi: what do you think? Have you tested the changes from Bug 52822 and Bug 
35427 on the 2.1.x branch? They look like low risk changes to me.

Hi, Ademar, I only have tested bug 52822 on html5-video-dev branch (http://gitorious.org/webkit/html5-video-dev) and it worked fine. I am agree with you that both changes are low risk and can be cherry-picked :)
Comment 8 Ademar Reis 2011-01-28 11:54:52 PST
Revision r76873 cherry-picked into qtwebkit-2.1.x with commit 138dcb6 <http://gitorious.org/webkit/qtwebkit/commit/138dcb6>